#!/bin/sh

# Use framebuffer by default if no xorg.conf is found:
if [ ! -r etc/X11/xorg.conf -a -r etc/X11/xorg.conf-vesa ]; then
  cp -a etc/X11/xorg.conf-vesa etc/X11/xorg.conf
fi

# This setup should allow the following packages to install in a
# sane fashion, and should also allow third-party video drivers to
# find X in the old places.
( cd usr/lib/X11 ; rm -rf fonts )
( cd usr/lib/X11 ; ln -sf ../../share/fonts fonts )

mkdir -p usr/X11R6
( cd usr/X11R6 && rm -rf bin )
( cd usr/X11R6 && ln -sf ../bin bin )
( cd usr/X11R6 && rm -rf include )
( cd usr/X11R6 && ln -sf ../include include )
( cd usr/X11R6 && rm -rf lib )
( cd usr/X11R6 && ln -sf ../lib lib )
( cd usr/X11R6 && rm -rf libexec )
( cd usr/X11R6 && ln -sf ../libexec libexec )
( cd usr/X11R6 && rm -rf man )
( cd usr/X11R6 && ln -sf ../share/man man )
( cd usr/X11R6 && rm -rf share )
( cd usr/X11R6 && ln -sf ../share share )

( cd usr ; rm -rf X11 )
( cd usr ; ln -sf X11R6 X11 )
( cd usr/bin ; rm -rf X11 )
( cd usr/bin ; ln -sf . X11 )
